# Class ObjectDetection

#### Hierarchy

- ObjectDetection
  - FaceDetection

- Defined in classes/ObjectDetection.ts:5

#####
Index

### Constructors

constructor

### Accessors

box
className
classScore
imageDims
imageHeight
imageWidth
relativeBox
score

### Methods

forSize

## Constructors

### constructor

- new ObjectDetection(score: number, classScore: number, className: string, relativeBox: IRect, imageDims: IDimensions): ObjectDetection

- #### Parameters

  - ##### score: number

  - ##### classScore: number

  - ##### className: string

  - ##### relativeBox: IRect

  - ##### imageDims: IDimensions

  #### Returns ObjectDetection

  - Defined in classes/ObjectDetection.ts:16

## Accessors

### box

- get box(): Box<any>

- #### Returns Box<any>

  - Defined in classes/ObjectDetection.ts:36

### className

- get className(): string

- #### Returns string

  - Defined in classes/ObjectDetection.ts:34

### classScore

- get classScore(): number

- #### Returns number

  - Defined in classes/ObjectDetection.ts:32

### imageDims

- get imageDims(): Dimensions

- #### Returns Dimensions

  - Defined in classes/ObjectDetection.ts:38

### imageHeight

- get imageHeight(): number

- #### Returns number

  - Defined in classes/ObjectDetection.ts:42

### imageWidth

- get imageWidth(): number

- #### Returns number

  - Defined in classes/ObjectDetection.ts:40

### relativeBox

- get relativeBox(): Box<any>

- #### Returns Box<any>

  - Defined in classes/ObjectDetection.ts:44

### score

- get score(): number

- #### Returns number

  - Defined in classes/ObjectDetection.ts:30

## Methods

### forSize

- forSize(width: number, height: number): ObjectDetection

- #### Parameters

  - ##### width: number

  - ##### height: number

  #### Returns ObjectDetection

  - Defined in classes/ObjectDetection.ts:46